 /*-----------------------------------------------------------.
/ Custom /
'-----------------------------------------------------------*/
/*
ColorShift
*/

#define ColorShift_distance float2(0.0,1.5)

float4 ChromaticPass( float4 colorInput, float2 tex )
{
float3 color = float3(0.0,0.0,0.0);

color.b = myTex2D(s0, tex + (pixel * ColorShift_distance)).b;
color.g = myTex2D(s0, tex).g;
color.r = myTex2D(s0, tex - (pixel * ColorShift_distance)).r;

colorInput.rgb = lerp(colorInput.rgb, color, chromatic_strength); //Adjust the strength of the effect

return saturate(colorInput);
}